Index: konsole/konsole/Makefile.am
===================================================================
RCS file: /home/kde/kdebase/konsole/konsole/Makefile.am,v
retrieving revision 1.54
diff -d -u -p -r1.54 Makefile.am
--- konsole/konsole/Makefile.am	27 Feb 2003 12:41:23 -0000	1.54
+++ konsole/konsole/Makefile.am	5 Mar 2003 05:54:02 -0000
@@ -26,7 +26,7 @@ libkonsolepart_la_LIBADD = $(XTESTLIB) $
 
 # kwrited kdeinit module
 kwrited_la_SOURCES = kwrited.cpp TEPty.cpp
-kwrited_la_LIBADD  = $(LIB_KDECORE) 
+kwrited_la_LIBADD  = $(LIB_KDECORE) $(LIB_QT) -lDCOP
 kwrited_la_LDFLAGS = $(all_libraries) -module -avoid-version
 
 # kwrited executable
@@ -41,7 +41,7 @@ konsole_la_SOURCES = TEPty.cpp BlockArra
      konsole_wcwidth.cpp konsolebookmarkhandler.cpp konsolebookmarkmenu.cpp konsole_child.cpp \
      zmodem_dialog.cpp
 konsole_la_LDFLAGS = $(all_libraries) -module -avoid-version
-konsole_la_LIBADD = $(LIB_KDEUI) $(LIB_KIO) $(LIBUTIL) $(XTESTLIB)
+konsole_la_LIBADD = $(LIB_KDEUI) $(LIB_KIO) $(LIBUTIL) $(XTESTLIB) $(LIB_QT) $(LIB_KDECORE) -lDCOP
 
 # konsole executable
 konsole_SOURCES = dummy.cpp
Index: konsole/konsole/konsole.cpp
===================================================================
RCS file: /home/kde/kdebase/konsole/konsole/konsole.cpp,v
retrieving revision 1.363
diff -d -u -p -r1.363 konsole.cpp
--- konsole/konsole/konsole.cpp	20 Feb 2003 21:23:08 -0000	1.363
+++ konsole/konsole/konsole.cpp	5 Mar 2003 05:54:07 -0000
@@ -188,7 +188,9 @@ DCOPObject( "konsole" )
 ,m_initialSession(0)
 ,colors(0)
 ,rootxpm(0)
+#ifdef Q_WS_X11
 ,kWinModule(0)
+#endif
 ,menubar(0)
 ,statusbar(0)
 ,m_session(0)
@@ -361,13 +363,17 @@ Konsole::~Konsole()
     delete colors;
     colors=0;
 
+#ifdef Q_WS_X11
     delete kWinModule;
     kWinModule = 0;
+#endif
 }
 
 void Konsole::run() {
+#ifdef Q_WS_X11
    kWinModule = new KWinModule();
    connect( kWinModule,SIGNAL(currentDesktopChanged(int)), this,SLOT(currentDesktopChanged(int)) );
+#endif
 }
 
 void Konsole::setAutoClose(bool on)
@@ -3104,6 +3110,7 @@ bool KonsoleFind::reg_exp() const
 
 void Konsole::slotBackgroundChanged(int desk)
 {
+#ifdef Q_WS_X11
   ColorSchema* s = colors->find(curr_schema);
   if (s==0) return;
 
@@ -3129,9 +3136,11 @@ void Konsole::slotBackgroundChanged(int 
        wallpaperSource = 0;
     }
   }
+#endif
 }
 
 void Konsole::currentDesktopChanged(int desk) {
+#ifdef Q_WS_X11
    //Get window info
    NETWinInfo info( qt_xdisplay(), winId(), qt_xrootwin(), NET::WMDesktop );
    bool bNeedUpdate = false;
@@ -3158,6 +3167,7 @@ void Konsole::currentDesktopChanged(int 
       wallpaperSource = desk;
       rootxpm->repaint(true);
    }
+#endif
 }
 
 ///////////////////////////////////////////////////////////
Index: konsole/konsole/konsole.h
===================================================================
RCS file: /home/kde/kdebase/konsole/konsole/konsole.h,v
retrieving revision 1.144
diff -d -u -p -r1.144 konsole.h
--- konsole/konsole/konsole.h	20 Feb 2003 21:23:08 -0000	1.144
+++ konsole/konsole/konsole.h	5 Mar 2003 05:54:08 -0000
@@ -251,7 +251,9 @@ private:
   ColorSchemaList* colors;
 
   KRootPixmap*   rootxpm;
+#ifdef Q_WS_X11
   KWinModule*    kWinModule;
+#endif
 
   KMenuBar*   menubar;
   KStatusBar* statusbar;
Index: konsole/konsole/konsole_child.cpp
===================================================================
RCS file: /home/kde/kdebase/konsole/konsole/konsole_child.cpp,v
retrieving revision 1.20
diff -d -u -p -r1.20 konsole_child.cpp
--- konsole/konsole/konsole_child.cpp	31 Dec 2002 13:55:33 -0000	1.20
+++ konsole/konsole/konsole_child.cpp	5 Mar 2003 05:54:08 -0000
@@ -115,8 +115,10 @@ void KonsoleChild::run() {
    se->changeWidget(te);
    se->setConnect(true);
 
+#ifdef Q_WS_X11
    kWinModule = new KWinModule();
    connect( kWinModule,SIGNAL(currentDesktopChanged(int)), this,SLOT(currentDesktopChanged(int)) );
+#endif
 }
 
 void KonsoleChild::setSchema(ColorSchema* _schema) {
@@ -187,9 +189,11 @@ KonsoleChild::~KonsoleChild()
   }
   emit doneChild(this,se);
 
+#ifdef Q_WS_X11
   if( kWinModule )
     delete kWinModule;
   kWinModule = 0;
+#endif
 }
 
 void KonsoleChild::configureRequest(TEWidget* te, int, int x, int y)
@@ -272,6 +276,7 @@ void KonsoleChild::pixmap_menu_activated
 
 void KonsoleChild::slotBackgroundChanged(int desk)
 {
+#ifdef Q_WS_X11
   // Only update rootxpm if window is visible on current desktop
   NETWinInfo info( qt_xdisplay(), winId(), qt_xrootwin(), NET::WMDesktop );
 
@@ -294,9 +299,11 @@ void KonsoleChild::slotBackgroundChanged
        wallpaperSource = 0;
     }
   }
+#endif
 }
 
 void KonsoleChild::currentDesktopChanged(int desk) {
+#ifdef Q_WS_X11
    //Get window info
    NETWinInfo info( qt_xdisplay(), winId(), qt_xrootwin(), NET::WMDesktop );
    bool bNeedUpdate = false;
@@ -318,6 +325,7 @@ void KonsoleChild::currentDesktopChanged
       wallpaperSource = desk;
       rootxpm->repaint(true);
    }
+#endif
 }
 
 #include "konsole_child.moc"
Index: konsole/konsole/konsole_child.h
===================================================================
RCS file: /home/kde/kdebase/konsole/konsole/konsole_child.h,v
retrieving revision 1.8
diff -d -u -p -r1.8 konsole_child.h
--- konsole/konsole/konsole_child.h	31 Dec 2002 13:27:42 -0000	1.8
+++ konsole/konsole/konsole_child.h	5 Mar 2003 05:54:09 -0000
@@ -74,7 +74,9 @@ private:
   TEWidget*      te;
   KPopupMenu*    m_rightButton;
   KRootPixmap*   rootxpm;
+#ifdef Q_WS_X11
   KWinModule*    kWinModule;
+#endif
  };
 
 #endif
Index: konsole/konsole/kwrited.cpp
===================================================================
RCS file: /home/kde/kdebase/konsole/konsole/kwrited.cpp,v
retrieving revision 1.36
diff -d -u -p -r1.36 kwrited.cpp
--- konsole/konsole/kwrited.cpp	4 Feb 2003 16:27:43 -0000	1.36
+++ konsole/konsole/kwrited.cpp	5 Mar 2003 05:54:09 -0000
@@ -16,7 +16,9 @@
 #include <unistd.h>
 #include <stdio.h>
 #include <signal.h>
-#include <X11/Xlib.h>
+#ifdef Q_WS_X11
+# include <X11/Xlib.h>
+#endif
 
 #include <config.h>
 
Index: kpersonalizer/ksysinfo.cpp
===================================================================
RCS file: /home/kde/kdebase/kpersonalizer/ksysinfo.cpp,v
retrieving revision 1.10
diff -d -u -p -r1.10 ksysinfo.cpp
--- kpersonalizer/ksysinfo.cpp	10 Feb 2003 17:07:41 -0000	1.10
+++ kpersonalizer/ksysinfo.cpp	5 Mar 2003 05:54:09 -0000
@@ -26,7 +26,9 @@
 
 #include <kdebug.h>
 
+#ifdef Q_WS_X11
 #include <X11/Xlib.h>
+#endif
 
 #include "ksysinfo.h"
 
@@ -53,6 +55,7 @@ KSysInfo::~KSysInfo() {
  */
 
 void KSysInfo::initXInfo() {
+#ifdef Q_WS_X11
 	Display *dpy = XOpenDisplay(0);
 	// vendor
 	m_xvendor = !dpy ? QString::null : (QString)ServerVendor(dpy);
@@ -72,6 +75,7 @@ void KSysInfo::initXInfo() {
 			m_xrender=true;
 	}
 	XCloseDisplay (dpy);
+#endif
 }
 
 bool KSysInfo::isXfromXFreeInc() {
Index: kstart/kstart.cpp
===================================================================
RCS file: /home/kde/kdebase/kstart/kstart.cpp,v
retrieving revision 1.43
diff -d -u -p -r1.43 kstart.cpp
--- kstart/kstart.cpp	23 Jan 2003 07:11:24 -0000	1.43
+++ kstart/kstart.cpp	5 Mar 2003 05:54:10 -0000
@@ -49,12 +49,15 @@ static bool toSysTray = false;
 static bool fullscreen = false;
 static unsigned long state = 0;
 static unsigned long mask = 0;
+#ifdef Q_WS_X11
 static NET::WindowType windowtype = NET::Unknown;
 static KWinModule* kwinmodule;
+#endif
 
 KStart::KStart()
     :QObject()
 {
+#ifdef Q_WS_X11
     // connect to window add to get the NEW windows
     connect(kwinmodule, SIGNAL(windowAdded(WId)), SLOT(windowAdded(WId)));
 
@@ -65,10 +68,12 @@ KStart::KStart()
     KStartupInfoId id;
     id.initId( kapp->startupId());
     id.setupStartupEnv();
+#endif
 
     //finally execute the comand
     pid_t pid = execute(command);
 
+#ifdef Q_WS_X11
     if( pid >= 0 ) {
         KStartupInfoData data;
         data.addPid( pid );
@@ -82,10 +87,11 @@ KStart::KStart()
     }
     else
         KStartupInfo::sendFinish( id ); // failed to start
+#endif
 }
 
 void KStart::windowAdded(WId w){
-
+#ifdef Q_WS_X11
     KWin::Info info = KWin::info( w );
 
     // always ignore these window types
@@ -108,9 +114,10 @@ void KStart::windowAdded(WId w){
     }
     applyStyle( w );
     QApplication::exit();
+#endif
 }
 
-
+#ifdef Q_WS_X11
 extern Atom qt_wm_state; // defined in qapplication_x11.cpp
 static bool wstate_withdrawn( WId winid )
 {
@@ -129,10 +136,11 @@ static bool wstate_withdrawn( WId winid 
     }
     return withdrawn;
 }
+#endif
 
 
 void KStart::applyStyle(WId w ) {
-
+#ifdef Q_WS_X11
     if ( toSysTray || state || iconify || windowtype != NET::Unknown || desktop >= 1 ) {
 
 	XWithdrawWindow(qt_xdisplay(), w, qt_xscreen());
@@ -185,6 +193,7 @@ void KStart::applyStyle(WId w ) {
       KWin::setActiveWindow( w );
 
     QApplication::flushX();
+#endif
 }
 
 // David, 05/03/2000
@@ -241,6 +250,7 @@ int main( int argc, char *argv[] )
   for(int i=0; i < args->count(); i++)
       command += QCString(args->arg(i)) + " ";
 
+#ifdef Q_WS_X11
   kwinmodule = new KWinModule;
 
   desktop = args->getOption( "desktop" ).toInt();
@@ -248,9 +258,11 @@ int main( int argc, char *argv[] )
       desktop = NETWinInfo::OnAllDesktops;
   if ( args->isSet ( "currentdesktop")  )
       desktop = kwinmodule->currentDesktop();
+#endif
 
   window = args->getOption( "window" );
 
+#ifdef Q_WS_X11
   QCString s = args->getOption( "type" );
   if ( !s.isEmpty() ) {
       s = s.lower();
@@ -271,6 +283,7 @@ int main( int argc, char *argv[] )
       else
 	  windowtype = NET::Normal;
   }
+#endif
 
   if ( args->isSet( "ontop" ) ) {
       state |= NET::StaysOnTop;
@@ -295,10 +308,12 @@ int main( int argc, char *argv[] )
 
   iconify = args->isSet("iconify");
   toSysTray = args->isSet("tosystray");
+#ifdef Q_WS_X11
   if ( fullscreen = args->isSet("fullscreen") )
       windowtype = NET::Override;
 
   fcntl(ConnectionNumber(qt_xdisplay()), F_SETFD, 1);
+#endif
   args->clear();
 
   KStart start;
Index: ksystraycmd/ksystraycmd.cpp
===================================================================
RCS file: /home/kde/kdebase/ksystraycmd/ksystraycmd.cpp,v
retrieving revision 1.10
diff -d -u -p -r1.10 ksystraycmd.cpp
--- ksystraycmd/ksystraycmd.cpp	29 Jul 2002 00:13:45 -0000	1.10
+++ ksystraycmd/ksystraycmd.cpp	5 Mar 2003 05:54:11 -0000
@@ -13,6 +13,7 @@
 
 #include <netwm.h>
 
+#ifdef Q_WS_X11
 #include <X11/Xlib.h>
 const int XFocusOut = FocusOut;
 const int XFocusIn = FocusIn;
@@ -22,6 +23,7 @@ const int XFocusIn = FocusIn;
 #undef KeyRelease
 
 extern Time qt_x_time;
+#endif
 
 
 #include "ksystraycmd.h"
@@ -31,10 +33,15 @@ extern Time qt_x_time;
 KSysTrayCmd::KSysTrayCmd()
   : QLabel( 0, "systray_cmd" ),
     isVisible(true), lazyStart( false ), noquit( false ), quitOnHide( false ),
-    win(0), client(0), kwinmodule(0)
+    win(0), client(0)
+#ifdef Q_WS_X11
+  , kwinmodule(0)
+#endif
 {
   setAlignment( AlignCenter );
+#ifdef Q_WS_X11
   kwinmodule = new KWinModule( this );
+#endif
   refresh();
 }
 
@@ -49,8 +56,10 @@ KSysTrayCmd::~KSysTrayCmd()
 
 bool KSysTrayCmd::start()
 {
+#ifdef Q_WS_X11
   if ( !window.isEmpty() )
     kwinmodule->doNotManage( window );
+#endif
 
   // If we have no command we must catching an existing window
   if ( !command ) {
@@ -87,8 +96,10 @@ void KSysTrayCmd::showWindow()
   isVisible = true;
   if ( !win )
     return;
+#ifdef Q_WS_X11
   XMapWindow( qt_xdisplay(), win );
   KWin::setActiveWindow( win );
+#endif
 }
 
 void KSysTrayCmd::hideWindow()
@@ -96,27 +107,39 @@ void KSysTrayCmd::hideWindow()
   isVisible = false;
   if ( !win )
     return;
+#ifdef Q_WS_X11
   XUnmapWindow( qt_xdisplay(), win );
+#endif
 }
 
 void KSysTrayCmd::setTargetWindow( WId w )
 {
+#ifdef Q_WS_X11
   setTargetWindow( KWin::info( w ) );
+#endif
 }
 
 void KSysTrayCmd::setTargetWindow( const KWin::Info &info )
 {
+#ifdef Q_WS_X11
   disconnect( kwinmodule, SIGNAL(windowAdded(WId)), this, SLOT(windowAdded(WId)) );
   connect( kwinmodule, SIGNAL(windowChanged(WId)), SLOT(windowChanged(WId)) );
+#endif
   win = info.win;
+#ifdef Q_WS_X11
   KWin::setSystemTrayWindowFor( winId(), win );
+#endif
+
   refresh();
   show();
 
-  if ( isVisible )
+  if ( isVisible ) {
+#ifdef Q_WS_X11
     KWin::setActiveWindow( win );
-  else
+#endif
+  } else {
     hideWindow();
+  }
 }
 
 //
@@ -125,6 +148,7 @@ void KSysTrayCmd::setTargetWindow( const
 
 void KSysTrayCmd::refresh()
 {
+#ifdef Q_WS_X11
   KWin::setSystemTrayWindowFor( winId(), win ? win : winId() );
 
   if ( win ) {
@@ -146,6 +170,7 @@ void KSysTrayCmd::refresh()
     pix = img;
     setPixmap( pix );
   }
+#endif
 }
 
 //
@@ -156,9 +181,11 @@ bool KSysTrayCmd::startClient()
 {
   client = new KShellProcess();
   *client << command;
+#ifdef Q_WS_X11
   connect( kwinmodule, SIGNAL(windowAdded(WId)), SLOT(windowAdded(WId)) );
   connect( client, SIGNAL( processExited(KProcess *) ),
 	   this, SLOT( clientExited() ) );
+#endif
 
   return client->start();
 }
@@ -178,8 +205,10 @@ void KSysTrayCmd::clientExited()
 void KSysTrayCmd::quitClient()
 {
   if ( win ) {
+#ifdef Q_WS_X11
     NETRootInfo ri( qt_xdisplay(), NET::CloseWindow );
     ri.closeWindowRequest( win );
+#endif
     noquit = false;
   }
   else {
@@ -217,12 +246,14 @@ void KSysTrayCmd::execContextMenu( const
 
 void KSysTrayCmd::checkExistingWindows()
 {
+#ifdef Q_WS_X11
   QValueList<WId>::ConstIterator it;
   for ( it = kwinmodule->windows().begin(); it != kwinmodule->windows().end(); ++it ) {
     windowAdded( *it );
     if ( win )
       break;
   }
+#endif
 }
 
 void KSysTrayCmd::windowAdded(WId w)
@@ -251,8 +282,10 @@ void KSysTrayCmd::mousePressEvent( QMous
     start();
   else if ( quitOnHide && ( hasRunningClient() ) && isVisible )
   {
+#ifdef Q_WS_X11
     NETRootInfo ri( qt_xdisplay(), NET::CloseWindow );
     ri.closeWindowRequest( win );
+#endif
   }
   else
     toggleWindow();
@@ -260,6 +293,7 @@ void KSysTrayCmd::mousePressEvent( QMous
 
 void KSysTrayCmd::enterEvent( QEvent * )
 {
+#ifdef Q_WS_X11
   // Fake a focus event when the mouse points at our tray icon. This is
   // needed for our tooltips to work.
   if ( !qApp->focusWidget() ) {
@@ -275,6 +309,7 @@ void KSysTrayCmd::enterEvent( QEvent * )
     qApp->x11ProcessEvent( &ev );
 	qt_x_time = time;
   }
+#endif
 }
 
 
Index: ksystraycmd/ksystraycmd.h
===================================================================
RCS file: /home/kde/kdebase/ksystraycmd/ksystraycmd.h,v
retrieving revision 1.4
diff -d -u -p -r1.4 ksystraycmd.h
--- ksystraycmd/ksystraycmd.h	29 Jul 2002 00:13:45 -0000	1.4
+++ ksystraycmd/ksystraycmd.h	5 Mar 2003 05:54:11 -0000
@@ -73,7 +73,9 @@ private:
 
   WId win;
   KShellProcess *client;
+#ifdef Q_WS_X11
   KWinModule *kwinmodule;
+#endif
   QString errStr;
 };
 
Index: ksystraycmd/main.cpp
===================================================================
RCS file: /home/kde/kdebase/ksystraycmd/main.cpp,v
retrieving revision 1.7
diff -d -u -p -r1.7 main.cpp
--- ksystraycmd/main.cpp	23 Jan 2003 07:11:25 -0000	1.7
+++ ksystraycmd/main.cpp	5 Mar 2003 05:54:14 -0000
@@ -8,6 +8,7 @@
 
 #include "ksystraycmd.h"
 
+#ifdef Q_WS_X11
 #include <X11/Xlib.h>
 #ifndef KDE_USE_FINAL
 const int XFocusOut = FocusOut;
@@ -17,6 +18,7 @@ const int XFocusIn = FocusIn;
 #undef FocusIn
 #undef KeyPress
 #undef KeyRelease
+#endif
 
 
 static KCmdLineOptions options[] =
@@ -123,7 +125,9 @@ int main( int argc, char *argv[] )
       return 1;
   }
 
+#ifdef Q_WS_X11
   fcntl(ConnectionNumber(qt_xdisplay()), F_SETFD, 1);
+#endif
   args->clear();
 
   return app.exec();
Index: libkonq/Makefile.am
===================================================================
RCS file: /home/kde/kdebase/libkonq/Makefile.am,v
retrieving revision 1.108
diff -d -u -p -r1.108 Makefile.am
--- libkonq/Makefile.am	22 Feb 2003 11:40:46 -0000	1.108
+++ libkonq/Makefile.am	5 Mar 2003 05:54:16 -0000
@@ -21,7 +21,7 @@ SUBDIRS = pics favicons
 
 lib_LTLIBRARIES = libkonq.la
 libkonq_la_LDFLAGS = $(all_libraries) -version-info 6:0:2 -no-undefined
-libkonq_la_LIBADD = $(LIB_KPARTS)
+libkonq_la_LIBADD = $(LIB_KPARTS) $(LIB_KDECORE)
 
 libkonq_la_SOURCES = konq_popupmenu.cc knewmenu.cc \
    konq_xmlguiclient.cc\
Index: libkonq/konq_operations.cc
===================================================================
RCS file: /home/kde/kdebase/libkonq/konq_operations.cc,v
retrieving revision 1.109
diff -d -u -p -r1.109 konq_operations.cc
--- libkonq/konq_operations.cc	21 Feb 2003 01:17:45 -0000	1.109
+++ libkonq/konq_operations.cc	5 Mar 2003 05:54:18 -0000
@@ -50,7 +50,9 @@
 #include <kstringhandler.h>
 #include <qpopupmenu.h>
 #include <unistd.h>
-#include <X11/Xlib.h>
+#ifdef Q_WS_X11
+# include <X11/Xlib.h>
+#endif
 
 KBookmarkManager * KonqBookmarkManager::s_bookmarkManager;
 
@@ -389,6 +391,8 @@ void KonqOperations::doDrop( const KFile
             }
         }
 
+        KonqOperations * op = new KonqOperations(parent);
+#ifdef Q_WS_X11
         // Check the state of the modifiers key at the time of the drop
         Window root;
         Window child;
@@ -406,8 +410,8 @@ void KonqOperations::doDrop( const KFile
             kdDebug(1203) << "KonqOperations::doDrop Bookmark -> emulating Link" << endl;
         }
 
-        KonqOperations * op = new KonqOperations(parent);
         op->setDropInfo( new DropInfo( keybstate, lst, metaData, win_x, win_y, action ) );
+#endif
 
         // Ok, now we need destItem.
         if ( destItem )
@@ -563,7 +567,11 @@ void KonqOperations::doFileCopy()
             return;
         }
     }
+#ifdef Q_WS_X11
     else if ( ((m_info->keybstate & ControlMask) == 0) && ((m_info->keybstate & ShiftMask) == 0) )
+#else
+    else
+#endif
     {
         KonqIconViewWidget *iconView = dynamic_cast<KonqIconViewWidget*>(parent());
         bool bSetWallpaper = false;
Index: libkonq/konq_popupmenu.cc
===================================================================
RCS file: /home/kde/kdebase/libkonq/konq_popupmenu.cc,v
retrieving revision 1.141
diff -d -u -p -r1.141 konq_popupmenu.cc
--- libkonq/konq_popupmenu.cc	28 Jan 2003 23:24:18 -0000	1.141
+++ libkonq/konq_popupmenu.cc	5 Mar 2003 05:54:19 -0000
@@ -38,7 +38,10 @@
 
 #include <kfileshare.h>
 #include <kprocess.h>
-#include <libintl.h>
+#include <config.h>
+#ifdef HAVE_LIBINTL
+# include <libintl.h>
+#endif
 
 #include "kpropertiesdialog.h"
 #include "knewmenu.h"
Index: libkonq/favicons/Makefile.am
===================================================================
RCS file: /home/kde/kdebase/libkonq/favicons/Makefile.am,v
retrieving revision 1.3
diff -d -u -p -r1.3 Makefile.am
--- libkonq/favicons/Makefile.am	17 Mar 2002 20:25:19 -0000	1.3
+++ libkonq/favicons/Makefile.am	5 Mar 2003 05:54:19 -0000
@@ -3,7 +3,7 @@ kde_module_LTLIBRARIES = kded_favicons.l
 INCLUDES = $(all_includes)
 kded_favicons_la_SOURCES = favicons.cpp favicons.skel
 kded_favicons_la_LDFLAGS = $(all_libraries) -module -avoid-version
-kded_favicons_la_LIBADD = $(LIB_KSYCOCA)
+kded_favicons_la_LIBADD = $(LIB_KSYCOCA) $(LIB_KDECORE) -lDCOP $(LIB_QT) $(prefix)/lib/kded.la
 
 METASOURCES = AUTO
 
